//
// Created by Ht on 2022/2/9.
//

#ifndef LIBDEVCPP_MGBUSSERVERCONFIGSERVICE_H
#define LIBDEVCPP_MGBUSSERVERCONFIGSERVICE_H

#include <mgbus/service/MgConfigService.h>
#include "../MgBusServer.h"

namespace jedge {

    class MgbusServerConfigService :
            public jedge::MgConfigService {
    public:
        explicit MgbusServerConfigService(jedge::MgBusServer &opr, const std::string &name, const qlibc::QData &config);

        MgTriggerManager *getTrigerService() override;

        const string &getLocalAddressInfo() override;

        void getServiceList(QStringList &sl) override;

    };

}
#endif //LIBDEVCPP_MGBUSSERVERCONFIGSERVICE_H
